Package twisted :: Package protocols :: Module http :: Class HTTPFactory

[show private | hide private]
[frames | no frames]

## Class HTTPFactory

      Factory --+
                |
    ServerFactory --+
                    |
                   HTTPFactory

Known Subclasses:
  `Site`

Factory for HTTP server.

Method Summary
| `__init__(self, logPath)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol. (inherited from `Factory`)
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| ``log`(self, request)` Log a request's result to the logfile, by default in combined log format.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.
| ``_openLogFile`(self, path)` Override in subclasses, e.g.

Class Variable Summary
`class` | `HTTPChannel`
`NoneType` | `logPath`

Method Details

### log(self, request)

Log a request's result to the logfile, by default in combined log format.

### startFactory(self)

This will be called before I begin listening on a Port or Connector.

It will only be called once, even if the factory is connected to multiple ports.

This can be used to perform 'unserialization' tasks that are best put off until things are actually running, such as connecting to a database, opening files, etcetera.

  Overrides:
    `twisted.internet.protocol.Factory.startFactory` (inherited documentation)

### stopFactory(self)

This will be called before I stop listening on all Ports/Connectors.

This can be used to perform 'shutdown' tasks such as disconnecting database connections, closing files, etc.

It will be called, for example, before an application shuts down, if it was connected to a port.

  Overrides:
    `twisted.internet.protocol.Factory.stopFactory` (inherited documentation)

### _openLogFile(self, path)

Override in subclasses, e.g. to use twisted.python.logfile.

Class Variable Details

### HTTPChannel

`HTTPChannel` = `twisted.protocols.http.HTTPChannel`

### logPath

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:18:46 2003 | http://epydoc.sf.net